#!/bin/bash

if [ ! "$BASH_VERSION" ] ; then
    bash $0 $1 $2 $3 $4 $5 $6 $7 $8 $9
    exit 1
fi

if [[ -f "./wx" ]] && [[ -d "./src" ]]
then
    podman run -it --rm -v "$PWD":/usr/src/myapp -w /usr/src/myapp docker.io/library/php:8-cli php generator.php &> /dev/null
    mv wx.tmp wx &> /dev/null
    chmod +x wx &> /dev/null
fi
